> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the OAuth authorization URL to connect an account



## OpenAPI

````yaml /api-reference/openapi.json get /v1/connect/{platform}
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/connect/{platform}:
    get:
      tags:
        - connect
      summary: Get the OAuth authorization URL to connect an account
      operationId: ConnectController_getUrl
      parameters:
        - name: platform
          required: true
          in: path
          schema:
            type: string
        - name: profileId
          required: true
          in: query
          schema:
            type: string
        - name: accountId
          required: true
          in: query
          schema:
            type: string
        - name: coexistence
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````